/* ---------------------------------------------------------------------------------------------------
   ePages 5 - Scripts
   order_toolbar.js $Revision: 1.9 $
   --------------------------------------------------------------------------------------------------- */

// Reset functions

function clearOrderSearchForm() {
    orderSearchResetHiddenInputs();
    orderSearchResetSelectors();
    $("CreationDateFrom").value="";
    $("CreationDateTo").value="";
    $("OrderAliasString").value="";
    $("ProductAliasString").value="";
    $("OrderDocumentAliasString").value="";
    $("IsInEditingMode").checked=false;
    $$("CreationDateFrom").setValue("");
    $$("CreationDateTo").setValue("");
    $("PageSize").selectedIndex=0;

}

function orderSearchResetSelectors() {
    $("StatusSelector1").value="";
    $("StatusSelector2").value="";
    $("StatusSelector3").value="";
    $("StatusSelector4").value="";
    $("PaymentMethodSelector").value="";
    $("ShippingMethodSelector").value="";
}

function orderSearchResetHiddenInputs() {
    $("ViewedOn").value='0';
    $("CancelledOn").value='0';
    $("InProcessOn").value='0';
    $("PendingOn").value='0';
    $("ReadyForShippingOn").value='0';
    $("PartlyDispatchedOn").value='0';
    $("DispatchedOn").value='0';
    $("ShippedOn").value='0';
    $("InvoicedOn").value='0';
    $("PartlyInvoicedOn").value='0';
    $("PartlyPaidOn").value='0';
    $("PaidOn").value='0';
    $("ReturnedOn").value='0';
    $("ClosedOn").value='0';
    $("ArchivedOn").value='0';
}

function orderSearchSetValue(value) {
// This function sets the value of an hidden inputfield
// value => string (e.g ViewedOn, NotViewedOn -> There must be an hidden Inputfield with the id ViewedOn)
// strings containing Not -> value = 2
// other strings -> value = 1
    tempValueArray=value.split("Not");
    if(tempValueArray.length==1) {
       $(tempValueArray[0]).value='1';
    } else {
        $(tempValueArray[1]).value='2';
    }
}

function orderSearchSetHiddenInput() {
// This function resets all hidden inputfields and refreshes their values (depending on the Status Selectors)
    orderSearchResetHiddenInputs();
    value1= $("StatusSelector1").value;
    value2= $("StatusSelector2").value;
    value3= $("StatusSelector3").value;
    value4= $("StatusSelector4").value;

    if(value1) orderSearchSetValue(value1);
    if(value2) orderSearchSetValue(value2);
    if(value3) orderSearchSetValue(value3);
    if(value4) orderSearchSetValue(value4);
}

// Initialize Toolbar Form

var SelectorCount =0;

function orderSearchInitSelectors() {
    if($("ProductAliasString").value != "" ) SelectorCount=2;
    if($("StatusSelector2").value != "" ) SelectorCount=2;
    if($("StatusSelector3").value != "" ) SelectorCount=2;
    if($("StatusSelector4").value != "" ) SelectorCount=2;
    if($("PaymentMethodSelector").value != "" ) SelectorCount=2;
    if($("ShippingMethodSelector").value != "" ) SelectorCount=2;
    if($("IsInEditingMode").checked) SelectorCount=2;
    if(SelectorCount>1){
       epages.toggleExtender($("ExtendImage"));toggleDisplay('ExtendedSearch');
    }
}
